Package org.apache.tools.ant.taskdefs.optional.ejb

# Class JbossDeploymentTool

java.lang.Object
org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool
org.apache.tools.ant.taskdefs.optional.ejb.JbossDeploymentTool

All Implemented Interfaces:
  `EJBDeploymentTool`

    public class JbossDeploymentTool
    extends GenericDeploymentTool

The deployment tool to add the jboss specific deployment descriptor to the ejb jar file. Jboss only requires one additional file jboss.xml and does not require any additional compilation.

Version:
  1.0
See Also:
  `EjbJar.createJboss()`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected static java.lang.String` | `JBOSS_CMP10D` |
`protected static java.lang.String` | `JBOSS_CMP20D` |
`protected static java.lang.String` | `JBOSS_DD` |

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool

`ANALYZER_CLASS_FULL, ANALYZER_CLASS_SUPER, ANALYZER_FULL, ANALYZER_NONE, ANALYZER_SUPER, DEFAULT_ANALYZER, DEFAULT_BUFFER_SIZE, EJB_DD, JAR_COMPRESS_LEVEL, MANIFEST, META_DIR`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`JbossDeploymentTool()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected void` | `addVendorFiles​(java.util.Hashtable<java.lang.String,​java.io.File> ejbFiles, java.lang.String ddPrefix)` | Add any vendor specific files which should be included in the EJB Jar.
`void` | `setSuffix​(java.lang.String inString)` | Setter used to store the suffix for the generated JBoss jar file.
`void` | `validateConfigured()` | Called to validate that the tool parameters have been configured.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool

`addFileToJar, addSupportClasses, checkAndAddDependants, checkConfiguration, configure, createClasspath, getClassLoaderForBuild, getCombinedClasspath, getConfig, getDescriptorHandler, getDestDir, getJarBaseName, getLocation, getManifestFile, getPublicId, getTask, getVendorDDPrefix, log, needToRebuild, parseEjbFiles, processDescriptor, registerKnownDTDs, setClasspath, setDestdir, setGenericJarSuffix, setTask, usingBaseJarName, writeJar`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JBOSS_DD

protected static final java.lang.String JBOSS_DD

See Also:
  Constant Field Values

### JBOSS_CMP10D

protected static final java.lang.String JBOSS_CMP10D

See Also:
  Constant Field Values

### JBOSS_CMP20D

protected static final java.lang.String JBOSS_CMP20D

See Also:
  Constant Field Values

## Constructor Details

### JbossDeploymentTool

public JbossDeploymentTool()

## Method Details

### setSuffix

public void setSuffix​(java.lang.String inString)
Setter used to store the suffix for the generated JBoss jar file.

Parameters:
  `inString` - the string to use as the suffix.

### addVendorFiles

protected void addVendorFiles​(java.util.Hashtable<java.lang.String,​java.io.File> ejbFiles, java.lang.String ddPrefix)
Add any vendor specific files which should be included in the EJB Jar.

Overrides:
  `addVendorFiles` in class `GenericDeploymentTool`
Parameters:
  `ejbFiles` - the hashtable of files to populate.
  `ddPrefix` - the prefix to use.

### validateConfigured

public void validateConfigured() throws BuildException
Called to validate that the tool parameters have been configured.

Specified by:
  `validateConfigured` in interface `EJBDeploymentTool`
Overrides:
  `validateConfigured` in class `GenericDeploymentTool`
Throws:
  `BuildException` - If the Deployment Tool's configuration isn't valid
Since:
  ant 1.6